import { createSlice } from '@reduxjs/toolkit';
const initialState = { token: null, candi: 0 };

export const tokenSlice = createSlice({
  name: "token",
  initialState,
  reducers: {
    setToken: (state, action) => {
      let { payload } = action
      if (payload.candi) {
        state.candi = action.payload
      }else{
        state.token = action.payload;
      }
    },
    removeToken: (state, _action) => {
      state.token = null;
    }
  }
})

export const { setToken, removeToken } = tokenSlice.actions;
export default tokenSlice.reducer;
